/*
 * !++
 * QDS - Quick Data Signalling Library
 * !-
 * Copyright (C) 2002 - 2017 Devexperts LLC
 * !-
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at
 * http://mozilla.org/MPL/2.0/.
 * !__
 */
package com.dxfeed.event.market.impl;

import com.devexperts.qd.DataRecord;
import com.devexperts.qd.ng.RecordCursor;
import com.devexperts.qd.util.Decimal;
import com.devexperts.qd.util.MappingUtil;

public class SummaryMapping extends MarketEventMapping {
// BEGIN: CODE AUTOMATICALLY GENERATED: DO NOT MODIFY. IT IS REGENERATED BY com.dxfeed.api.codegen.ImplCodeGen
	private final int iDayId;
	private final int iDayOpenPrice;
	private final int iDayHighPrice;
	private final int iDayLowPrice;
	private final int iDayClosePrice;
	private final int iPrevDayId;
	private final int iPrevDayClosePrice;
	private final int iPrevDayVolume;
	private final int iOpenInterest;
	private final int iFlags;

	public SummaryMapping(DataRecord record) {
		super(record);
		iDayId = MappingUtil.findIntField(record, "DayId", true);
		iDayOpenPrice = MappingUtil.findIntField(record, "DayOpen.Price", true);
		iDayHighPrice = MappingUtil.findIntField(record, "DayHigh.Price", true);
		iDayLowPrice = MappingUtil.findIntField(record, "DayLow.Price", true);
		iDayClosePrice = MappingUtil.findIntField(record, "DayClose.Price", false);
		iPrevDayId = MappingUtil.findIntField(record, "PrevDayId", true);
		iPrevDayClosePrice = MappingUtil.findIntField(record, "PrevDayClose.Price", true);
		iPrevDayVolume = MappingUtil.findIntField(record, "PrevDayVolume", false);
		iOpenInterest = MappingUtil.findIntField(record, "OpenInterest", false);
		iFlags = MappingUtil.findIntField(record, "Flags", false);
	}

	public int getDayId(RecordCursor cursor) {
		return getInt(cursor, iDayId);
	}

	public void setDayId(RecordCursor cursor, int dayId) {
		setInt(cursor, iDayId, dayId);
	}

	public double getDayOpenPrice(RecordCursor cursor) {
		return Decimal.toDouble(getInt(cursor, iDayOpenPrice));
	}

	public void setDayOpenPrice(RecordCursor cursor, double dayOpenPrice) {
		setInt(cursor, iDayOpenPrice, Decimal.compose(dayOpenPrice));
	}

	public int getDayOpenPriceDecimal(RecordCursor cursor) {
		return getInt(cursor, iDayOpenPrice);
	}

	public void setDayOpenPriceDecimal(RecordCursor cursor, int dayOpenPrice) {
		setInt(cursor, iDayOpenPrice, dayOpenPrice);
	}

	public double getDayHighPrice(RecordCursor cursor) {
		return Decimal.toDouble(getInt(cursor, iDayHighPrice));
	}

	public void setDayHighPrice(RecordCursor cursor, double dayHighPrice) {
		setInt(cursor, iDayHighPrice, Decimal.compose(dayHighPrice));
	}

	public int getDayHighPriceDecimal(RecordCursor cursor) {
		return getInt(cursor, iDayHighPrice);
	}

	public void setDayHighPriceDecimal(RecordCursor cursor, int dayHighPrice) {
		setInt(cursor, iDayHighPrice, dayHighPrice);
	}

	public double getDayLowPrice(RecordCursor cursor) {
		return Decimal.toDouble(getInt(cursor, iDayLowPrice));
	}

	public void setDayLowPrice(RecordCursor cursor, double dayLowPrice) {
		setInt(cursor, iDayLowPrice, Decimal.compose(dayLowPrice));
	}

	public int getDayLowPriceDecimal(RecordCursor cursor) {
		return getInt(cursor, iDayLowPrice);
	}

	public void setDayLowPriceDecimal(RecordCursor cursor, int dayLowPrice) {
		setInt(cursor, iDayLowPrice, dayLowPrice);
	}

	public double getDayClosePrice(RecordCursor cursor) {
		if (iDayClosePrice < 0)
			return Double.NaN;
		return Decimal.toDouble(getInt(cursor, iDayClosePrice));
	}

	public void setDayClosePrice(RecordCursor cursor, double dayClosePrice) {
		if (iDayClosePrice < 0)
			return;
		setInt(cursor, iDayClosePrice, Decimal.compose(dayClosePrice));
	}

	public int getDayClosePriceDecimal(RecordCursor cursor) {
		if (iDayClosePrice < 0)
			return 0;
		return getInt(cursor, iDayClosePrice);
	}

	public void setDayClosePriceDecimal(RecordCursor cursor, int dayClosePrice) {
		if (iDayClosePrice < 0)
			return;
		setInt(cursor, iDayClosePrice, dayClosePrice);
	}

	public int getPrevDayId(RecordCursor cursor) {
		return getInt(cursor, iPrevDayId);
	}

	public void setPrevDayId(RecordCursor cursor, int prevDayId) {
		setInt(cursor, iPrevDayId, prevDayId);
	}

	public double getPrevDayClosePrice(RecordCursor cursor) {
		return Decimal.toDouble(getInt(cursor, iPrevDayClosePrice));
	}

	public void setPrevDayClosePrice(RecordCursor cursor, double prevDayClosePrice) {
		setInt(cursor, iPrevDayClosePrice, Decimal.compose(prevDayClosePrice));
	}

	public int getPrevDayClosePriceDecimal(RecordCursor cursor) {
		return getInt(cursor, iPrevDayClosePrice);
	}

	public void setPrevDayClosePriceDecimal(RecordCursor cursor, int prevDayClosePrice) {
		setInt(cursor, iPrevDayClosePrice, prevDayClosePrice);
	}

	public double getPrevDayVolume(RecordCursor cursor) {
		if (iPrevDayVolume < 0)
			return Double.NaN;
		return Decimal.toDouble(getInt(cursor, iPrevDayVolume));
	}

	public void setPrevDayVolume(RecordCursor cursor, double prevDayVolume) {
		if (iPrevDayVolume < 0)
			return;
		setInt(cursor, iPrevDayVolume, Decimal.compose(prevDayVolume));
	}

	public int getPrevDayVolumeDecimal(RecordCursor cursor) {
		if (iPrevDayVolume < 0)
			return 0;
		return getInt(cursor, iPrevDayVolume);
	}

	public void setPrevDayVolumeDecimal(RecordCursor cursor, int prevDayVolume) {
		if (iPrevDayVolume < 0)
			return;
		setInt(cursor, iPrevDayVolume, prevDayVolume);
	}

	public int getOpenInterest(RecordCursor cursor) {
		if (iOpenInterest < 0)
			return 0;
		return getInt(cursor, iOpenInterest);
	}

	public void setOpenInterest(RecordCursor cursor, int openInterest) {
		if (iOpenInterest < 0)
			return;
		setInt(cursor, iOpenInterest, openInterest);
	}

	public int getFlags(RecordCursor cursor) {
		if (iFlags < 0)
			return 0;
		return getInt(cursor, iFlags);
	}

	public void setFlags(RecordCursor cursor, int flags) {
		if (iFlags < 0)
			return;
		setInt(cursor, iFlags, flags);
	}
// END: CODE AUTOMATICALLY GENERATED
}
